﻿// ResticLogParser
// Copyright (C) 2025  Stefan Müller
//
// This program is free software: you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// this program.  If not, see <http://www.gnu.org/licenses/>.

using ResticLogParser.src;

Console.WriteLine("ResticLogParser  Copyright (C) 2025  Stefan Müller\r\n" +
    "This program comes with ABSOLUTELY NO WARRANTY.  " +
    "This is free software, and you are welcome to redistribute it under certain conditions.  " +
    "See the GNU General Public License version 3 or any later version for more details.  " +
    "You should have received a copy of the GNU General Public License along with this program.  " +
    "If not, see https://www.gnu.org/licenses/.\r\n");

if (args.Length < 3 || string.IsNullOrEmpty(args[0]) || string.IsNullOrEmpty(args[1]) || string.IsNullOrEmpty(args[2]))
{
    Console.WriteLine($"Invalid parameters.");
    Console.WriteLine($"  ResticLogParser <log-file-name> <files-output-file-name> <directories-output-file-name>");
    return 1;
}

new LogParser(args[0], args[1], args[2]).Run();
return 0;
